import request from '@/utils/request'

// 查询院校简章大纲列表
export function listBBusiWishUniversitiesEnrollBrochure(query) {
  return request({
    url: '/system/bBusiWishUniversitiesEnrollBrochure/list',
    method: 'get',
    params: query
  })
}

// 查询院校简章大纲详细
export function getBBusiWishUniversitiesEnrollBrochure(id) {
  return request({
    url: '/system/bBusiWishUniversitiesEnrollBrochure/' + id,
    method: 'get'
  })
}

// 新增院校简章大纲
export function addBBusiWishUniversitiesEnrollBrochure(data) {
  return request({
    url: '/system/bBusiWishUniversitiesEnrollBrochure',
    method: 'post',
    data: data
  })
}

// 修改院校简章大纲
export function updateBBusiWishUniversitiesEnrollBrochure(data) {
  return request({
    url: '/system/bBusiWishUniversitiesEnrollBrochure',
    method: 'put',
    data: data
  })
}

// 删除院校简章大纲
export function delBBusiWishUniversitiesEnrollBrochure(id) {
  return request({
    url: '/system/bBusiWishUniversitiesEnrollBrochure/' + id,
    method: 'delete'
  })
}

// 获取简章类型列表
export function getBrochureTypes() {
  return request({
    url: '/system/bBusiWishUniversitiesEnrollBrochure/getBrochureTypes',
    method: 'get'
  })
}
